Remove ancient upgrade cleanup from debian/postinst

parent 85debb59
......@@ -2,6 +2,7 @@ rkhunter (1.4.6-5) unstable; urgency=medium
* Bump Standards-Version up to 4.3.0
* Bump debhelper compat up to 12
* Remove ancient upgrade cleanup from debian/postinst
-- Francois Marier <francois@debian.org> Fri, 01 Mar 2019 23:30:24 -0800
......
......@@ -22,16 +22,6 @@ case "$1" in
ucfr rkhunter /etc/default/rkhunter
rm -f ${tempfile}
# If upgrading, make sure permissions are correctly set as previous
# versions of the package (until 1.3.4-2) used to set them incorrectly
if [ -n "$2" ]; then
if dpkg --compare-versions "$2" lt "1.3.4-2"; then
chmod 750 /var/lib/rkhunter/db
chmod 750 /var/lib/rkhunter/tmp
chmod 750 /var/lib/rkhunter/db/i18n
fi
fi
# Copy the passwd/group files to the TMP directory
# to avoid warnings when rkhunter is first run.
# This is normally done by the installer script.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment